List of timesheets by contract

Returns timesheets associated with the specified contract, with optional filtering by contract type, status, reporter, and date range.

Token scopes: timesheets:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.deel.training/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
Deel contract id.

Query parameters

contract_typeslist of enumsOptional
Filter results to timesheets associated with the specified contract types.
statuseslist of enumsOptional
Filter results to timesheets with the specified statuses.
reporter_idstringOptionalformat: "uuid"
Filter results to timesheets submitted by this user ID.
date_fromstringOptionalformat: "date"

Filter results to timesheets submitted on or after this date (inclusive). Short date in format ISO-8601 (YYYY-MM-DD). For example: 2022-12-31.

date_tostringOptionalformat: "date"

Filter results to timesheets submitted before this date (exclusive). Short date in format ISO-8601 (YYYY-MM-DD). For example: 2022-12-31.

limitstringOptional

Maximum number of records to return per page. NOTE: query parameters are passed as strings.

offsetstringOptional

Number of records to skip before starting to return results. NOTE: query parameters are passed as strings.

Response

Successful operation.
datalist of objects
pageobject
Pagination metadata for the response.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error